nautilus: cannot open images against luminous cluster

03/20/2019 06:05 PM - Jason Dillaman

Status: Resolved % Done: 0%

Priority: High Spent time: 0.00 hour

Assignee:    

Category:    

Target version: v14.2.1   

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID: 27080

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

Support for handling failed group operations was prematurely removed. Luminous does support groups, but it never supported

adding images to a group. Ignore the '-EOPNOTSUPP' error code when querying the image's group upon refresh.

2019-03-20 17:47:48.062625 I | exec: Running command: rbd create replicapool/pvc-032e5745-4b38-11e

9-8154-080027b3ec48 --size 20480 --cluster=rook-ceph --conf=/var/lib/rook/rook-ceph/rook-ceph.conf

ig --keyring=/var/lib/rook/rook-ceph/client.admin.keyring

I0320 17:47:48.064758       6 event.go:221] Event(v1.ObjectReference{Kind:"PersistentVolumeClaim",

 Namespace:"default", Name:"mysql-pv-claim", UID:"032e5745-4b38-11e9-8154-080027b3ec48", APIVersio

n:"v1", ResourceVersion:"3112", FieldPath:""}): type: 'Normal' reason: 'Provisioning' External pro

visioner is provisioning volume for claim "default/mysql-pv-claim" 

2019-03-20 17:47:48.133798 W | cephclient: Requested image pvc-032e5745-4b38-11e9-8154-080027b3ec4

8 exists in pool replicapool. Continuing

2019-03-20 17:47:48.134127 I | exec: Running command: rbd info replicapool/pvc-032e5745-4b38-11e9-

8154-080027b3ec48 --cluster=rook-ceph --conf=/var/lib/rook/rook-ceph/rook-ceph.config --keyring=/v

ar/lib/rook/rook-ceph/client.admin.keyring --format json

W0320 17:47:48.205158       6 controller.go:685] Retrying syncing claim "default/mysql-pv-claim" b

ecause failures 3 < threshold 15

E0320 17:47:48.205640       6 controller.go:700] error syncing claim "default/mysql-pv-claim": fai

led to provision volume with StorageClass "rook-ceph-block": Failed to create rook block image rep

licapool/pvc-032e5745-4b38-11e9-8154-080027b3ec48: failed to get image pvc-032e5745-4b38-11e9-8154

-080027b3ec48 info after successfully creating it: failed to get image replicapool/pvc-032e5745-4b

38-11e9-8154-080027b3ec48 info: Failed to complete '': exit status 95. 2019-03-20 17:47:48.198 7f4

a3affd700 -1 librbd::image::RefreshRequest: failed to retrieve group: (95) Operation not supported

2019-03-20 17:47:48.198 7f4a3a7fc700 -1 librbd::image::OpenRequest: failed to refresh image: (95) 

Operation not supported

2019-03-20 17:47:48.198 7f4a3affd700 -1 librbd::image::RefreshRequest: failed to retrieve group: (

95) Operation not supported

2019-03-20 17:47:48.198 7f4a3a7fc700 -1 librbd::image::OpenRequest: failed to refresh image: (95) 

Operation not supported

2019-03-20 17:47:48.198 7f4a3a7fc700 -1 librbd::ImageState: 0x5593fc10bfe0 failed to open image: (

95) Operation not supported

2019-03-20 17:47:48.198 7f4a3a7fc700 -1 librbd::ImageState: 0x5593fc10bfe0 failed to open image: (

95) Operation not supported

rbd: error opening image pvc-032e5745-4b38-11e9-8154-080027b3ec48: (95) Operation not supported

I0320 17:47:48.205499       6 event.go:221] Event(v1.ObjectReference{Kind:"PersistentVolumeClaim",

 Namespace:"default", Name:"mysql-pv-claim", UID:"032e5745-4b38-11e9-8154-080027b3ec48", APIVersio

n:"v1", ResourceVersion:"3112", FieldPath:""}): type: 'Warning' reason: 'ProvisioningFailed' faile

d to provision volume with StorageClass "rook-ceph-block": Failed to create rook block image repli

capool/pvc-032e5745-4b38-11e9-8154-080027b3ec48: failed to get image pvc-032e5745-4b38-11e9-8154-0

80027b3ec48 info after successfully creating it: failed to get image replicapool/pvc-032e5745-4b38

-11e9-8154-080027b3ec48 info: Failed to complete '': exit status 95. 2019-03-20 17:47:48.198 7f4a3

affd700 -1 librbd::image::RefreshRequest: failed to retrieve group: (95) Operation not supported
Note: this is only applicable to the nautilus branch since the master (octopus) branch will not support luminous clusters.

History

#1 - 03/20/2019 06:43 PM - Jason Dillaman

- Status changed from In Progress to Fix Under Review

- Pull request ID set to 27080

#2 - 03/21/2019 02:54 PM - Mykola Golub

- Status changed from Fix Under Review to Resolved

#3 - 05/02/2019 06:01 PM - Jason Dillaman

- Target version set to v14.2.1
